Loading...
Searching...
No Matches
svn_client_ctx_t Struct Reference
Client supporting subsystem » Client context management

A client context structure, which holds client specific callbacks, batons, serves as a cache for configuration options, and other various and sundry things. More...

`#include <svn_client.h>`

## Data Fields

svn_auth_baton_t * | auth_baton
| main authentication baton.
svn_wc_notify_func_t | notify_func
| notification callback function.
void * | notify_baton
| notification callback baton for notify_func()
svn_client_get_commit_log_t | log_msg_func
| Log message callback function.
void * | log_msg_baton
| log message callback baton
apr_hash_t * | config
| a hash mapping of const char * configuration file names to svn_config_t *'s.
svn_cancel_func_t | cancel_func
| a callback to be used to see if the client wishes to cancel the running operation.
void * | cancel_baton
| a baton to pass to the cancellation callback.
svn_wc_notify_func2_t | notify_func2
| notification function, defaulting to a function that forwards to notify_func().
void * | notify_baton2
| notification baton for notify_func2().
svn_client_get_commit_log2_t | log_msg_func2
| Log message callback function.
void * | log_msg_baton2
| callback baton for log_msg_func2
svn_ra_progress_notify_func_t | progress_func
| Notification callback for network progress information.
void * | progress_baton
| Callback baton for progress_func.
svn_client_get_commit_log3_t | log_msg_func3
| Log message callback function.
void * | log_msg_baton3
| The callback baton for `log_msg_func3`.
apr_hash_t * | mimetypes_map
| MIME types map.
svn_wc_conflict_resolver_func_t | conflict_func
| Conflict resolution callback and baton, if available.
void * | conflict_baton
const char * | client_name
| Custom client name string, or `NULL`.
svn_wc_conflict_resolver_func2_t | conflict_func2
| Conflict resolution callback and baton, if available.
void * | conflict_baton2
svn_wc_context_t * | wc_ctx
| A working copy context for the client operation to use.
svn_ra_check_tunnel_func_t | check_tunnel_func
| Check-tunnel callback.
svn_ra_open_tunnel_func_t | open_tunnel_func
| Open-tunnel callback.
void * | tunnel_baton
| The baton used with check_tunnel_func and open_tunnel_func.

## Detailed Description

A client context structure, which holds client specific callbacks, batons, serves as a cache for configuration options, and other various and sundry things.

In order to avoid backwards compatibility problems clients should use svn_client_create_context() to allocate and initialize this structure instead of doing so themselves.

Definition at line 958 of file svn_client.h.

## Field Documentation

## auth_baton

svn_auth_baton_t* svn_client_ctx_t::auth_baton

main authentication baton.

Definition at line 961 of file svn_client.h.

## cancel_baton

void* svn_client_ctx_t::cancel_baton

a baton to pass to the cancellation callback.

Definition at line 997 of file svn_client.h.

## cancel_func

svn_cancel_func_t svn_client_ctx_t::cancel_func

a callback to be used to see if the client wishes to cancel the running operation.

Definition at line 994 of file svn_client.h.

## check_tunnel_func

svn_ra_check_tunnel_func_t svn_client_ctx_t::check_tunnel_func

Check-tunnel callback.

If not `NULL`, and open_tunnel_func is also not `NULL`, this callback will be invoked to check if open_tunnel_func should be used to create a specific tunnel, or if the default tunnel implementation (either built-in or configured in the client configuration file) should be used instead.

Since
  New in 1.9.

Definition at line 1070 of file svn_client.h.

## client_name

const char* svn_client_ctx_t::client_name

Custom client name string, or `NULL`.

Since
  New in 1.5.

Definition at line 1046 of file svn_client.h.

## config

apr_hash_t* svn_client_ctx_t::config

a hash mapping of const char * configuration file names to svn_config_t *'s.

For example, the '~/.subversion/config' file's contents should have the key "config". May be left unset (or set to NULL) to use the built-in default settings and not use any configuration.

Definition at line 990 of file svn_client.h.

## conflict_baton

void* svn_client_ctx_t::conflict_baton

Definition at line 1042 of file svn_client.h.

## conflict_baton2

void* svn_client_ctx_t::conflict_baton2

Definition at line 1052 of file svn_client.h.

## conflict_func

svn_wc_conflict_resolver_func_t svn_client_ctx_t::conflict_func

Conflict resolution callback and baton, if available.

Since
  New in 1.5.

Definition at line 1041 of file svn_client.h.

## conflict_func2

svn_wc_conflict_resolver_func2_t svn_client_ctx_t::conflict_func2

Conflict resolution callback and baton, if available.

NULL means that subversion should try `conflict_func`.

Since
  New in 1.7.

Definition at line 1051 of file svn_client.h.

## log_msg_baton

void* svn_client_ctx_t::log_msg_baton

log message callback baton

Deprecated
  Provided for backward compatibility with the 1.2 API. Use `log_msg_baton2` instead.

Definition at line 983 of file svn_client.h.

## log_msg_baton2

void* svn_client_ctx_t::log_msg_baton2

callback baton for log_msg_func2

Since
  New in 1.3.

Definition at line 1015 of file svn_client.h.

## log_msg_baton3

void* svn_client_ctx_t::log_msg_baton3

The callback baton for `log_msg_func3`.

Since
  New in 1.5.

Definition at line 1033 of file svn_client.h.

## log_msg_func

svn_client_get_commit_log_t svn_client_ctx_t::log_msg_func

Log message callback function.

NULL means that Subversion should try not attempt to fetch a log message.

Deprecated
  Provided for backward compatibility with the 1.2 API. Use `log_msg_func2` instead.

Definition at line 978 of file svn_client.h.

## log_msg_func2

svn_client_get_commit_log2_t svn_client_ctx_t::log_msg_func2

Log message callback function.

NULL means that Subversion should try log_msg_func.

Since
  New in 1.3.

Definition at line 1011 of file svn_client.h.

## log_msg_func3

svn_client_get_commit_log3_t svn_client_ctx_t::log_msg_func3

Log message callback function.

NULL means that Subversion should try `log_msg_func2`, then `log_msg_func`.

Since
  New in 1.5.

Definition at line 1029 of file svn_client.h.

## mimetypes_map

apr_hash_t* svn_client_ctx_t::mimetypes_map

MIME types map.

Since
  New in 1.5.

Definition at line 1037 of file svn_client.h.

## notify_baton

void* svn_client_ctx_t::notify_baton

notification callback baton for notify_func()

Deprecated
  Provided for backward compatibility with the 1.1 API. Use `notify_baton2` instead

Definition at line 972 of file svn_client.h.

## notify_baton2

void* svn_client_ctx_t::notify_baton2

notification baton for notify_func2().

Since
  New in 1.2.

Definition at line 1006 of file svn_client.h.

## notify_func

svn_wc_notify_func_t svn_client_ctx_t::notify_func

notification callback function.

This will be called by notify_func2() by default.

Deprecated
  Provided for backward compatibility with the 1.1 API. Use `notify_func2` instead.

Definition at line 967 of file svn_client.h.

## notify_func2

svn_wc_notify_func2_t svn_client_ctx_t::notify_func2

notification function, defaulting to a function that forwards to notify_func().

If `NULL`, it will not be invoked.

Since
  New in 1.2.

Definition at line 1002 of file svn_client.h.

## open_tunnel_func

svn_ra_open_tunnel_func_t svn_client_ctx_t::open_tunnel_func

Open-tunnel callback.

If not `NULL`, this callback will be invoked to create a tunnel for a ra_svn connection that needs one, overriding any tunnel definitions in the client config file. This callback is used only for ra_svn and ignored by the other RA modules.

Since
  New in 1.9.

Definition at line 1080 of file svn_client.h.

## progress_baton

void* svn_client_ctx_t::progress_baton

Callback baton for progress_func.

Since
  New in 1.3.

Definition at line 1024 of file svn_client.h.

## progress_func

svn_ra_progress_notify_func_t svn_client_ctx_t::progress_func

Notification callback for network progress information.

May be NULL if not used.

Since
  New in 1.3.

Definition at line 1020 of file svn_client.h.

## tunnel_baton

void* svn_client_ctx_t::tunnel_baton

The baton used with check_tunnel_func and open_tunnel_func.

Since
  New in 1.9.

Definition at line 1085 of file svn_client.h.

## wc_ctx

svn_wc_context_t* svn_client_ctx_t::wc_ctx

A working copy context for the client operation to use.

This is initialized by svn_client_create_context() and should never be `NULL`.

Since
  New in 1.7.

Definition at line 1059 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h